%global commit 5a285e50b886ae30fc9e76815fc54d009ca10c22
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eclipse-m2e-mavenarchiver
Version:        0.17.2
Release:        0.4.git%{shortcommit}%{?dist}
Summary:        M2E Maven Archiver connector
License:        EPL-1.0
URL:            https://github.com/tesla/m2eclipse-mavenarchiver/
BuildArch:      noarch

Source0:        https://github.com/tesla/m2eclipse-mavenarchiver/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(io.tesla.tycho:tycho-support:pom:)
BuildRequires:  osgi(org.eclipse.core.resources)
BuildRequires:  osgi(org.eclipse.core.runtime)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.jdt)
BuildRequires:  osgi(org.eclipse.m2e.maven.runtime)

Enhances:       eclipse-m2e-core

%description
This package provides Maven Archiver connector for Eclipse M2E.

%prep
%setup -q -n m2eclipse-mavenarchiver-%{commit}
find -name *.jar -delete

# Tests are skipped because of missing dependencies:
# osgi(org.eclipse.m2e.tests.common)
%pom_disable_module org.sonatype.m2e.mavenarchiver.tests

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc org.sonatype.m2e.mavenarchiver.feature/license.html

%changelog
* Wed Aug 22 2018 Mat Booth <mat.booth@redhat.com> - 0.17.2-0.4.git5a285e5
- Update license tag

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.2-0.3.git5a285e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.2-0.2.git5a285e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.17.2-0.1.git5a285e5
- Fix update to latest upstream snapshot

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-0.5.git0a4e929
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-0.4.git0a4e929
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-0.3.git0a4e929
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 19 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.17.0-0.2.git0a4e929
- Add Enhances: eclipse-m2e-core

* Wed Oct 14 2015 Mat Booth <mat.booth@redhat.com> - 0.17.0-0.1.git0a4e929
- Update to latest snapshot

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 0.16.0-0.5.git8bdbcc3
- Rebuild as an Eclipse p2 Droplet.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-0.4.git8bdbcc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Sep 10 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.16.0-0.3.git8bdbcc3
- Install with XMvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-0.2.git8bdbcc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.16.0-0.1.git8bdbcc3
- Initial commit
